package com.zcloud.service.healthmanagement.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.healthmanagement.HealthTrainingMapper;
import com.zcloud.service.healthmanagement.HealthTrainingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：职业健康培训
 * 作者：luoxiaobao
 * 时间：2022-05-31
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class HealthTrainingServiceImpl implements HealthTrainingService{

	@Autowired
	private HealthTrainingMapper healthtrainingMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		healthtrainingMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		healthtrainingMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		healthtrainingMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return healthtrainingMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return healthtrainingMapper.listAll(pd);
	}
	public List<PageData> listOut(PageData pd)throws Exception{
		return healthtrainingMapper.listOut(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return healthtrainingMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		healthtrainingMapper.deleteAll(ArrayDATA_IDS);
	}

}

